com.davemorrissey.labs.subscaleview

## Class ImageViewState

- java.lang.Object
- - com.davemorrissey.labs.subscaleview.ImageViewState

All Implemented Interfaces:
  Serializable

    public class ImageViewState
    extends Object
    implements Serializable

Wraps the scale, center and orientation of a displayed image for easy restoration on screen rotate.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ImageViewState(float scale, PointF center, int orientation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PointF` `getCenter()`
`int` `getOrientation()`
`float` `getScale()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageViewState

    public ImageViewState(float scale,
                          @NonNull
                          PointF center,
                          int orientation)

### Method Detail

#### getScale

    public float getScale()

#### getCenter

    @NonNull
    public PointF getCenter()

#### getOrientation

    public int getOrientation()